# Uses of Enum Class org.bukkit.boss.DragonBattle.RespawnPhase (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: org.bukkit.boss, interface: DragonBattle, enum: RespawnPhase

# Uses of Enum Class
org.bukkit.boss.DragonBattle.RespawnPhase

Packages that use DragonBattle.RespawnPhase
Package
Description
org.bukkit.boss
Classes concerning the creation of boss bars that appear at the top of the player's screen.

## Uses of DragonBattle.RespawnPhase in org.bukkit.boss

Methods in org.bukkit.boss that return DragonBattle.RespawnPhase
Modifier and Type
Method
Description
`@NotNull DragonBattle.RespawnPhase`
DragonBattle.`getRespawnPhase()`
Get this battle's current respawn phase.
`static DragonBattle.RespawnPhase`
DragonBattle.RespawnPhase.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DragonBattle.RespawnPhase[]`
DragonBattle.RespawnPhase.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.boss with parameters of type DragonBattle.RespawnPhase
Modifier and Type
Method
Description
`boolean`
DragonBattle.`setRespawnPhase(@NotNull DragonBattle.RespawnPhase phase)`
Set the dragon's respawn phase.